mbedtls_ssl_transform Struct Reference

`#include <ssl_internal.h>`

Collaboration diagram for mbedtls_ssl_transform:
[legend]

## Data Fields

const mbedtls_ssl_ciphersuite_t * | ciphersuite_info
unsigned int | keylen
size_t | minlen
size_t | ivlen
size_t | fixed_ivlen
size_t | maclen
unsigned char | iv_enc [16]
unsigned char | iv_dec [16]
unsigned char | mac_enc [20]
unsigned char | mac_dec [20]
mbedtls_md_context_t | md_ctx_enc
mbedtls_md_context_t | md_ctx_dec
mbedtls_cipher_context_t | cipher_ctx_enc
mbedtls_cipher_context_t | cipher_ctx_dec
z_stream | ctx_deflate
z_stream | ctx_inflate

## Detailed Description

Definition at line 271 of file ssl_internal.h.

## Field Documentation

mbedtls_cipher_context_t mbedtls_ssl_transform::cipher_ctx_dec

decryption context

Definition at line 297 of file ssl_internal.h.

mbedtls_cipher_context_t mbedtls_ssl_transform::cipher_ctx_enc

encryption context

Definition at line 296 of file ssl_internal.h.

const mbedtls_ssl_ciphersuite_t* mbedtls_ssl_transform::ciphersuite_info

Chosen cipersuite_info

Definition at line 276 of file ssl_internal.h.

z_stream mbedtls_ssl_transform::ctx_deflate

compression context

Definition at line 303 of file ssl_internal.h.

z_stream mbedtls_ssl_transform::ctx_inflate

decompression context

Definition at line 304 of file ssl_internal.h.

size_t mbedtls_ssl_transform::fixed_ivlen

Fixed part of IV (AEAD)

Definition at line 281 of file ssl_internal.h.

unsigned char mbedtls_ssl_transform::iv_dec[16]

IV (decryption)

Definition at line 285 of file ssl_internal.h.

unsigned char mbedtls_ssl_transform::iv_enc[16]

IV (encryption)

Definition at line 284 of file ssl_internal.h.

size_t mbedtls_ssl_transform::ivlen

IV length

Definition at line 280 of file ssl_internal.h.

unsigned int mbedtls_ssl_transform::keylen

symmetric key length (bytes)

Definition at line 278 of file ssl_internal.h.

unsigned char mbedtls_ssl_transform::mac_dec[20]

SSL v3.0 secret (dec)

Definition at line 290 of file ssl_internal.h.

unsigned char mbedtls_ssl_transform::mac_enc[20]

SSL v3.0 secret (enc)

Definition at line 289 of file ssl_internal.h.

size_t mbedtls_ssl_transform::maclen

MAC length

Definition at line 282 of file ssl_internal.h.

mbedtls_md_context_t mbedtls_ssl_transform::md_ctx_dec

MAC (decryption)

Definition at line 294 of file ssl_internal.h.

mbedtls_md_context_t mbedtls_ssl_transform::md_ctx_enc

MAC (encryption)

Definition at line 293 of file ssl_internal.h.

size_t mbedtls_ssl_transform::minlen

min. ciphertext length

Definition at line 279 of file ssl_internal.h.

The documentation for this struct was generated from the following file:

- ssl_internal.h